Retrieve the most recent notifications for the current user, along with the amount of notifications.
A notification represents a message sent to a user to inform them of relevant actions or events within their
workspace. Notifications are ephemeral and may be deleted when they are no longer needed. When a user has more
than 1,000 pending notifications some old notifications will be deleted automatically.
This API retrieves 500 notifications at a time. To fetch more than 500 notifications, repeat this API call
using the parameter `lastId` of the oldest notification from each batch to fetch the next 500 notifications.
Query parameters
lastIdstringOptionalformat: "uuid"
To continue loading more notifications in a series of requests, provide the ID of the oldest notification from
the currently loaded batch as the lastId parameter
senderIdstringOptionalformat: "uuid"
Filter the notifications to only those sent by the user with the specified ID
notificationTypeslist of stringsOptional
Specifies the types of notifications to return. If not provided, all notifications will be returned.
asFlatListbooleanOptionalDefaults to false
If set to true all notifications will be returned as a flat list, otherwise they will be grouped by parent in the same manner as displayed in the UI.
Response
Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only
True if the API call succeeded; false otherwise.
hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
dataobjectOptional
Information about notifications for the current user.
A notification represents a message sent to a user to inform them of relevant actions or events within their
workspace. Notifications are ephemeral and may be deleted when they are no longer needed. When a user has more
than 1,000 pending notifications some old notifications will be deleted automatically.